Skip to main content
POST
Create address

Authorizations

Authorization
string
header
required

Access token

Path Parameters

customer_id
string
required

Customer id

Body

application/json

payload for new address

first_name
string
required
Maximum string length: 128
phone
string
required

Accepts a ten-digit phone number, with optional country prefix and separators such as +91 98765 43210; the prefix and separators are removed before validation.

email
string<email>
required
Maximum string length: 128
address_line1
string
required
Maximum string length: 256
pincode
string
required
Required string length: 6
city
string
required
Maximum string length: 128
state
string
required
Maximum string length: 128
country
string
required
Maximum string length: 128
last_name
string | null
Maximum string length: 128
country_code
string
default:+91
Pattern: ^\+?\d{1,4}$
address_line2
string | null
Maximum string length: 256
landmark
string | null
Maximum string length: 128
tax_identification_number
string | null

Tax Identification Number specific to the country of operation.

Maximum string length: 64
business_name
string | null

Use in billing & shipping details only.

Maximum string length: 128
is_default_billing
boolean

Indicates if the address is the default billing address for the customer.

is_default_shipping
boolean

Indicates if the address is the default shipping address for the customer.

nickname
string | null

Normalized to a lowercase slug.

Maximum string length: 32

Response

OK

message
string
success
boolean
content
object